aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Yaroslav Halchenko <debian@onerussian.com>2015-04-20 11:29:32 -0400
committerGravatar Joey Hess <joeyh@joeyh.name>2015-04-20 14:46:34 -0400
commit99dead284006e9f32006be5515895de6660c527a (patch)
tree89089641f1c52cb4c346970bf6886beccd34d904
parent914747670bafe9c5fd90d12cf5f887b46f02b00b (diff)
NF: provide debian/rules build-standalone
-rwxr-xr-xdebian/create-standalone-changelog16
-rw-r--r--debian/patches/standalone-build15
-rwxr-xr-xdebian/rules13
3 files changed, 35 insertions, 9 deletions
diff --git a/debian/create-standalone-changelog b/debian/create-standalone-changelog
new file mode 100755
index 000000000..250673bdc
--- /dev/null
+++ b/debian/create-standalone-changelog
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# A little helper script to build a package with standalone git-annex
+# It relies on being run within git-annex Git repository
+#
+set -eu
+
+umask 022
+
+git checkout debian/changelog
+
+ANNEX_VERSION=$(git describe HEAD)
+ANNEX_NDVERSION=$( echo ${ANNEX_VERSION} | sed -e 's,-,+git,' -e 's,$,-1~ndall+1,')
+
+dch --noconf -v ${ANNEX_NDVERSION} \
+ --force-bad-version --force-distribution -D neurodebian "Backported fresh snapshot"
diff --git a/debian/patches/standalone-build b/debian/patches/standalone-build
index 68ab36989..81d94561b 100644
--- a/debian/patches/standalone-build
+++ b/debian/patches/standalone-build
@@ -54,16 +54,10 @@ Last-Update: 2015-04-20
+debian/git-annex-standalone/usr/lib/git-annex.linux/usr/share/man/man1/git-annex*
--- a/debian/rules
+++ b/debian/rules
-@@ -3,7 +3,17 @@
- export CABAL=debian/cabal-wrapper
+@@ -12,6 +12,15 @@ export RELEASE_BUILD=1
+ # Rules for providing a standalone build of annex.
+ #
- # Do use the changelog's version number, rather than making one up.
--export RELEASE_BUILD=1
-+export RELEASE_BUILD=0
-
- %:
- dh $@
-+
+override_dh_auto_build:
+ make linuxstandalone
+
@@ -73,3 +67,6 @@ Last-Update: 2015-04-20
+override_dh_fixperms:
+ dh_fixperms -Xld-linux
+
+ build-standalone:
+ [ -e .git ]
+ git checkout debian/changelog
diff --git a/debian/rules b/debian/rules
index dab54a7b1..75254c079 100755
--- a/debian/rules
+++ b/debian/rules
@@ -7,3 +7,16 @@ export RELEASE_BUILD=1
%:
dh $@
+
+#
+# Rules for providing a standalone build of annex.
+#
+
+build-standalone:
+ [ -e .git ]
+ git checkout debian/changelog
+ quilt pop -a || :
+ QUILT_SERIES=series.standalone-build quilt push -a
+ debian/create-standalone-changelog
+ dpkg-buildpackage -rfakeroot
+ quilt pop -a